petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinaryGetInfoPointer

Extracts the file pointer for the ASCII info file associated with a binary file.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetInfoPointer(PetscViewer viewer,FILE **file)

Not Collective Many br

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen() Many br

### Output Parameter

file -file pointer Always returns NULL if not a binary viewer Many br

Many br

### Notes

For writable binary PetscViewers, the descriptor will only be valid for the Many brfirst processor in the communicator that shares the PetscViewer. Many br

### Fortran Note

This routine is not supported in Fortran. Many br

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetDescriptor()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages